part of 'auth_cubit.dart';

abstract class AuthState extends Equatable {
  const AuthState();
}

class AuthInitial extends AuthState {
  @override
  List<Object> get props => [];
}

class SendingPhoneConfirmation extends AuthState {
  @override
  List<Object?> get props => [];
}

class ConfirmationCodeSent extends AuthState {
  @override
  List<Object?> get props => [];
}

class CodeAutoRetrievalTimeout extends AuthState {
  @override
  List<Object?> get props => [];
}

class VerificationFailed extends AuthState {
  @override
  List<Object?> get props => [];
}

class SignedIn extends AuthState {
  final User? user;

  SignedIn(this.user);

  @override
  List<Object?> get props => [user];
}

class SigningInWithPhone extends AuthState{
  @override
  List<Object?> get props => [];
}

class SignedInWithPhone extends SignedIn{
  SignedInWithPhone({required User? user}): super(user);

  @override
  List<Object?> get props => [];
}

class SignedInWithPhoneFailed extends AuthState {
  final error;
  SignedInWithPhoneFailed({required this.error});
  @override
  List<Object?> get props => [error];
}

class SigningInWithGoogle extends AuthState {
  @override
  List<Object?> get props => [];
}

class SignedInWithGoogle extends SignedIn {
  SignedInWithGoogle({required User? user}): super(user);

  @override
  List<Object?> get props => [];
}

class SignedInWithGoogleFailed extends AuthState {
  final error;
  SignedInWithGoogleFailed({required this.error});
  @override
  List<Object?> get props => [error];
}

class SigningInWithFacebook extends AuthState {
  @override
  List<Object?> get props => [];
}

class SignedInWithFacebook extends SignedIn {
  SignedInWithFacebook({required User? user}): super(user);

  @override
  List<Object?> get props => [];
}

class SignedInWithFacebookFailed extends AuthState {
  final error;
  SignedInWithFacebookFailed({required this.error});
  @override
  List<Object?> get props => [error];
}

class SigningInWithApple extends AuthState {
  @override
  List<Object?> get props => [];
}

class SignedInWithApple extends SignedIn {
  SignedInWithApple({required User? user}): super(user);

  @override
  List<Object?> get props => [];
}

class SignedInWithAppleFailed extends AuthState {
  final error;
  SignedInWithAppleFailed({required this.error});
  @override
  List<Object?> get props => [error];
}
